
package bbuvajava;

import java.util.Iterator;
import java.util.List;

public class Entidad {
    private String Nombre;
    private int cif;
    private List<Sucursal> mSucursal;

    public Entidad () {
    }

    public String getNombre () {
        return Nombre;
    }

    public void setNombre (String val) {
        this.Nombre = val;
    }

    public int getCif () {
        return cif;
    }

    public void setCif (int val) {
        this.cif = val;
    }

    public List<Sucursal> getSucursal () {
        return mSucursal;
    }

    public void setSucursal (List<Sucursal> val) {
        this.mSucursal = val;
    }

    public Sucursal get_Sucursal(String n){
        Iterator iterador = this.mSucursal.listIterator();
        while( iterador.hasNext() ) {
            Sucursal s = (Sucursal) iterador.next();
            if (s.getId().compareTo(n)==0){
                return s;
            }
        }
        return null;
    }

    public void persistente(){
    ControladoraBD BD=new ControladoraBD();
        for(int i=0;i<this.mSucursal.size();i++)
            BD.persist(mSucursal.get(i));
    }

    public void query(){
        ControladoraBD BD=new ControladoraBD();
       // mSucursal=BD.getData_Sucursal();
        //mProducto=BD.getData_Producto();
    }

}

